propellor-5.13: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Property.Gpg

Synopsis

- installed :: Property DebianLike
- newtype GpgKeyId = GpgKeyId {
  - getGpgKeyId :: String
  }
- data GpgKeyType
  - = GpgPubKey
  - | GpgPrivKey
- keyImported :: GpgKeyId -> User -> Property (HasInfo + DebianLike)
- hasPrivKey :: GpgKeyId -> User -> IO Bool
- hasPubKey :: GpgKeyId -> User -> IO Bool
- dotDir :: User -> IO FilePath

# Documentation

installed :: Property DebianLike Source #

newtype GpgKeyId Source #

Constructors

GpgKeyId |

Fields

- getGpgKeyId :: String

data GpgKeyType Source #

Constructors

GpgPubKey |
GpgPrivKey |

keyImported :: GpgKeyId -> User -> Property (HasInfo + DebianLike) Source #

Sets up a user with a gpg key from the privdata.

Note that if a secret key is exported using gpg -a --export-secret-key, the public key is also included. Or just a public key could be exported, and this would set it up just as well.

Recommend only using this for low-value dedicated role keys. No attempt has been made to scrub the key out of memory once it's used.

hasPrivKey :: GpgKeyId -> User -> IO Bool Source #

hasPubKey :: GpgKeyId -> User -> IO Bool Source #

dotDir :: User -> IO FilePath Source #